std::expected::operatorbool,std::expected::has_value(3)

NAME
std::expected::operatorbool,std::expected::has_value - std::expected::operatorbool,std::expected::has_value

Synopsis
   constexpr explicit operator bool() const noexcept; (since C++23)
   constexpr bool has_value() const noexcept; (since C++23)
   Checks whether *this contains an expected value.

Parameters
   (none)

Return value
   true if *this contains an expected value, false if *this contains an unexpected
   value.

Notes
   A std::expected object is never empty. If has_value() returns true, operator* can be
   used to access the contained value; otherwise, error() can be used.

Example
    This section is incomplete
    Reason: no example

See also
   operator-> accesses the expected value
   operator* (public member function)
   error returns the unexpected value
              (public member function)

Category:
     * Todo no example